com.microfocus.awm.core

## Class ConfiguredTaurusSystem

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - com.microfocus.awm.model.internal.Resource
    - - com.microfocus.awm.core.AbstractTaurusSystem
      - - com.microfocus.awm.core.ConfiguredTaurusSystem

- All Implemented Interfaces:
    IResource, ITaurusSystem, org.eclipse.core.runtime.IAdaptable
  Direct Known Subclasses:
    LocalTaurusSystem

      public abstract class ConfiguredTaurusSystem
      extends AbstractTaurusSystem

  AWM system which is defined by a master configuration.

  Can be sub-classed by clients.

  Author:
    RalfP

- - ### Field Summary

    - ### Fields inherited from class com.microfocus.awm.model.internal.Resource

      `_ID, _name`

    - ### Fields inherited from interface com.microfocus.awm.model.ITaurusSystem

      `ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfiguredTaurusSystem(ISystemImage pImg, TaurusSystemPersistableProxy pSystemEntry)` Creates a new abstract AWM system and registers it in the `TaurusSystemDirectory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ITaurusApplication>` | `getApplications(org.eclipse.core.runtime.IProgressMonitor pMonitor)` Gets all AWM applications provided by the system.

    - ### Methods inherited from class com.microfocus.awm.core.AbstractTaurusSystem

      `delete, equals, getCustomAttribute, getCustomAttributes, getSystemImage, hashCode`

    - ### Methods inherited from class com.microfocus.awm.model.internal.Resource

      `addChildResource, addPropertyValue, addResourceChild, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, getValueOfLinkedProperty, removeProperty, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

      `getAdapter`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.ITaurusSystem

      `getProviderID, refresh`

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Constructor Detail

    - #### ConfiguredTaurusSystem

          public ConfiguredTaurusSystem(ISystemImage pImg,
                                        TaurusSystemPersistableProxy pSystemEntry)
                                 throws TaurusCoreException

      Creates a new abstract AWM system and registers it in the `TaurusSystemDirectory`.
      Parameters:
        `pImg` - the system image for the TAURUS system.
        `pSystemEntry` - a parsed master configuration system entry
      Throws:
        `TaurusCoreException` - if the system already exists or cannot be added to the `TaurusSystemDirectory`.
      See Also:
        `TaurusSystemDirectory.addSystem(ITaurusSystem, boolean)`, `MasterConfigurationParser`

  - ### Method Detail

    - #### getApplications

          public java.util.List<ITaurusApplication> getApplications(org.eclipse.core.runtime.IProgressMonitor pMonitor)
                                                             throws TaurusCoreException

      Description copied from interface: `ITaurusSystem`
      Gets all AWM applications provided by the system.
      Parameters:
        `pMonitor` - a progress monitor
      Returns:
        a list of `ITaurusApplication`s
      Throws:
        `TaurusCoreException` - if applications for the system cannot be retrieved

Copyright © 2015 Micro Focus GmbH. All rights reserved.